Package org.eclipse.emf.cdo.lm.client

# Class LMImporter.ImportElement.StringContentsModifier

java.lang.Object
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement.StringContentsModifier

All Implemented Interfaces:
  `Function<Reader,Reader>`, `UnaryOperator<Reader>`

Enclosing class:
  LMImporter.ImportElement

public static final class LMImporter.ImportElement.StringContentsModifier extends Object implements UnaryOperator<Reader>

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`StringContentsModifier(UnaryOperator<String> stringModifier)`

## Method Summary

Modifier and Type
Method
Description
`Reader`
`apply(Reader in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### StringContentsModifier

public StringContentsModifier(UnaryOperator<String> stringModifier)

## Method Details

### apply

public Reader apply(Reader in)

Specified by:
  `apply` in interface `Function<Reader,Reader>`